- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# panos_mgtconfig – configure management settings of device

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Configure management settings of device

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
commit boolean | Choices: no yes ← | commit if changed
dns_server_primary - |  | address of primary DNS server
dns_server_secondary - |  | address of secondary DNS server
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
panorama_primary - |  | address of primary Panorama server
panorama_secondary - |  | address of secondary Panorama server
password string / required |  | Password for authentication.
username string | Default: "admin" | Username for authentication.

## Examples

    - name: set dns and panorama
      panos_mgtconfig:
        ip_address: "192.168.1.1"
        password: "admin"
        dns_server_primary: "1.1.1.1"
        dns_server_secondary: "1.1.1.2"
        panorama_primary: "1.1.1.3"
        panorama_secondary: "1.1.1.4"

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.